## ovn-octavia-provider 5.0.0

=== debian/changelog ===
ovn-octavia-provider (5.0.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 19:42:54 +0000

ovn-octavia-provider (5.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:20:56 -0400

ovn-octavia-provider (4.0.1+git2023090714.e02c1b9b-0ubuntu3) mantic; urgency=medium

  * d/control: Depend on the latest python3-neutron version which includes
    test config files.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Sep 2023 17:52:38 -0400

ovn-octavia-provider (4.0.1+git2023090714.e02c1b9b-0ubuntu2) mantic; urgency=medium

  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Sep 2023 11:01:11 -0400

ovn-octavia-provider (4.0.1+git2023090714.e02c1b9b-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:44:49 -0400

## ovn-octavia-provider 5.1.0

=== debian/changelog ===
ovn-octavia-provider (5.1.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Thu, 02 Oct 2025 08:54:59 +0000

ovn-octavia-provider (5.0.0-2) unstable; urgency=medium

  * Add use-assert_has_calls-not-has_calls.patch (Closes: #1058193).
  * Blacklist TestOvnProviderHelper.test_hm_create_no_vip_port.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Dec 2023 23:45:23 +0100

ovn-octavia-provider (5.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 13:16:03 +0200

=== debian/control ===
Source: ovn-octavia-provider
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1,
 python3-isort,
 python3-mock,
 python3-netaddr,
 python3-neutron (>= 2:23.0.0~),
 python3-neutron-lib (>= 3.8.0),
 python3-neutronclient,
 python3-octavia-lib,
 python3-openstackdocstheme,
 python3-openstacksdk (>= 0.103.0),
 python3-openvswitch,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-ovsdbapp,
 python3-pbr,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-sqlalchemy,
 python3-stestr,
 python3-tenacity,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webtest,
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-ovn-octavia-provider
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-ovn-octavia-provider.git
Homepage: https://opendev.org/openstack/ovn-octavia-provider

Package: python3-ovn-octavia-provider
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-netaddr,
 python3-neutron-lib (>= 3.8.0),
 python3-neutronclient,
 python3-octavia-lib,
 python3-openstacksdk (>= 0.103.0),
 python3-openvswitch,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-ovsdbapp,
 python3-pbr,
 python3-sqlalchemy,
 python3-tenacity,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ovn-octavia-provider-doc,
Description: OpenStack Octavia integration with OVN - Python 3.x
 OVN provides virtual networking for Open vSwitch and is a component of the
 OpenvSwitch project. This project provides integration between OpenStack
 Octavia and OVN.
 .
 This package contains the Python 3.x module.

Package: python-ovn-octavia-provider-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Octavia integration with OVN - doc
 OVN provides virtual networking for Open vSwitch and is a component of the
 OpenvSwitch project. This project provides integration between OpenStack
 Octavia and OVN.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/ovn-octavia-provider
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'ovn_octavia_provider\.tests\.unit\.(?!(.*test_helper\.TestOvnProviderHelper\.test_vip_port_update_handler_multiple_lbs.*|.*test_helper\.TestOvnProviderHelper\.test_vip_port_update_handler_lb_not_found.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_unset_admin_state_up.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_pool_up_change_to_disabled.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_pool_disabled_change_to_up.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_listeners.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_exception_not_found.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update.*|.*test_helper\.TestOvnProviderHelper\.test_hm_create_no_vip_port.*))'

endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-ovn-octavia-provider-doc/usr/share/doc/python-ovn-octavia-provider-doc/html
	dh_sphinxdoc
endif

## ovn-octavia-provider 6.0.0

=== debian/changelog ===
ovn-octavia-provider (6.0.0-0ubuntu2) noble; urgency=medium

  * d/p/missing-files.patch: Ensure all submodules and extra files are
    installed.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Apr 2024 06:31:16 +0100

ovn-octavia-provider (6.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 15:49:01 +0100

ovn-octavia-provider (6.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal. 

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2024 09:52:43 +0000

ovn-octavia-provider (5.0.0+git2024020611.1fe81a1e-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/p/tests-call-correct-assert-methods.patch: Correct assertions
    which lack assert_ prefix which cause test errors under Python 3.12.

 -- James Page <james.page@ubuntu.com>  Tue, 06 Feb 2024 13:41:49 +0000

=== debian/control ===
Source: ovn-octavia-provider
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-astroid (>= 2.1.0),
 python3-babel (>= 2.3.4),
 python3-hacking,
 python3-isort (>= 4.3.21),
 python3-keystoneauth1 (>= 3.14.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:23.0.0),
 python3-neutron-lib (>= 3.8.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-octavia-lib (>= 2.2.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.103.0),
 python3-openvswitch (>= 2.10.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 12.4.0),
 python3-oslo.serialization (>= 2.28.1),
 python3-oslo.utils (>= 4.5.0),
 python3-oslotest (>= 1:3.2.0),
 python3-ovsdbapp (>= 2.1.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.4.23),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-tenacity (>= 6.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ovn-octavia-provider
Homepage: https://opendev.org/openstack/ovn-octavia-provider
Testsuite: autopkgtest-pkg-python

Package: python3-ovn-octavia-provider
Architecture: all
Section: python
Depends:
 python3-babel (>= 2.3.4),
 python3-keystoneauth1 (>= 3.14.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 3.8.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-octavia-lib (>= 2.2.0),
 python3-openstacksdk (>= 0.103.0),
 python3-openvswitch (>= 2.10.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 12.4.0),
 python3-oslo.serialization (>= 2.28.1),
 python3-oslo.utils (>= 4.5.0),
 python3-ovsdbapp (>= 2.1.0),
 python3-pbr (>= 4.0.0),
 python3-sqlalchemy (>= 1.4.23),
 python3-tenacity (>= 6.0.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Octavia Integration with OVN - Python 3 library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 OVN provides virtual networking for Open vSwitch and is a component of the
 Open vSwitch project.
 .
 This package provides the Python 3 module for the integration between Octavia and OVN.

## ovn-octavia-provider 6.0.1

=== debian/changelog ===
ovn-octavia-provider (6.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 12:23:30 +0000

ovn-octavia-provider (6.0.0-2) unstable; urgency=medium

  * Remove extraneous python3-mock build dependency (Closes: #1072059).

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Jun 2024 13:01:53 +0200

ovn-octavia-provider (6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 22:47:34 +0200

ovn-octavia-provider (6.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Blacklist 2 unit tests not using a mock spec:
    - test__get_port_from_info_port_insufficient_data
    - test__get_port_from_info_port_not_without_match_address

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Mar 2024 18:25:04 +0100

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/ovn-octavia-provider
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'ovn_octavia_provider\.tests\.unit\.(?!(.*test_helper\.TestOvnProviderHelper\.test_vip_port_update_handler_multiple_lbs.*|.*test_helper\.TestOvnProviderHelper\.test_vip_port_update_handler_lb_not_found.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_unset_admin_state_up.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_pool_up_change_to_disabled.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_pool_disabled_change_to_up.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_listeners.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_exception_not_found.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update.*|.*test_helper\.TestOvnProviderHelper\.test_hm_create_no_vip_port.*|test_helper\.TestOvnProviderHelper\.test__get_port_from_info_port_insufficient_data|test_helper\.TestOvnProviderHelper\.test__get_port_from_info_port_not_without_match_address))'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-ovn-octavia-provider-doc/usr/share/doc/python-ovn-octavia-provider-doc/html
	dh_sphinxdoc
endif

## ovn-octavia-provider 7.0.0

=== debian/changelog ===
ovn-octavia-provider (7.0.0-0ubuntu1~cloud0) noble-dalmatian; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- root <root@juju-0cd498-prod-ubuntu-openstack-backport-o-matic-7>  Thu, 03 Oct 2024 12:20:15 +0000

ovn-octavia-provider (7.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:38:14 +0100

ovn-octavia-provider (7.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.
  * d/rules: Fix to work with rc versions.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2024 08:33:00 +0100

ovn-octavia-provider (6.0.0+git2024080809.b5d86937-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.
    - d/p/tests-call-correct-assert-methods.patch: Drop, included
      upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Aug 2024 12:07:57 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/ovn-octavia-provider/ ovn-octavia-provider-(\d.*)\.tar\.gz

## ovn-octavia-provider 7.0.1

=== debian/changelog ===
ovn-octavia-provider (7.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 27 Jan 2026 18:34:28 +0000

ovn-octavia-provider (7.0.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090458).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 11:51:17 +0100

ovn-octavia-provider (7.0.0-2) unstable; urgency=medium

  * Blacklist |test_driver\.TestOvnProviderDriver\..* (Closes: #1088762).

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Dec 2024 12:27:22 +0100

ovn-octavia-provider (7.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Oct 2024 08:34:13 +0200

ovn-octavia-provider (7.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 14:25:22 +0200

ovn-octavia-provider (7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed use-assert_has_calls-not-has_calls.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2024 10:37:04 +0200

## ovn-octavia-provider 8.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

keystoneauth1>=3.14.0 # Apache-2.0
netaddr>=0.7.18 # BSD
neutron-lib>=3.8.0 # Apache-2.0
openstacksdk>=0.103.0 # Apache-2.0
oslo.config>=8.0.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.messaging>=12.4.0 # Apache-2.0
oslo.serialization>=2.28.1 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
ovs>=2.10.0 # Apache-2.0
ovsdbapp>=2.1.0 # Apache-2.0
pbr>=4.0.0 # Apache-2.0
SQLAlchemy>=1.4.23 # MIT
tenacity>=6.0.0 # Apache-2.0
octavia-lib>=2.2.0 # Apache-2.0

=== ovn_octavia_provider/tests/functional/requirements.txt ===
# Additional requirements for functional tests

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

=== debian/changelog ===
ovn-octavia-provider (8.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:58:24 +0200

ovn-octavia-provider (8.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 29 Mar 2025 09:18:27 +0100

ovn-octavia-provider (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 09:23:10 +0100

=== debian/control ===
Source: ovn-octavia-provider
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1,
 python3-isort,
 python3-netaddr,
 python3-neutron (>= 2:23.0.0~),
 python3-neutron-lib (>= 3.8.0),
 python3-neutronclient,
 python3-octavia-lib,
 python3-openstackdocstheme,
 python3-openstacksdk (>= 0.103.0),
 python3-openvswitch,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-ovsdbapp,
 python3-pbr,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-sqlalchemy,
 python3-stestr,
 python3-tenacity,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webtest,
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-ovn-octavia-provider
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-ovn-octavia-provider.git
Homepage: https://opendev.org/openstack/ovn-octavia-provider

Package: python3-ovn-octavia-provider
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-netaddr,
 python3-neutron-lib (>= 3.8.0),
 python3-neutronclient,
 python3-octavia-lib,
 python3-openstacksdk (>= 0.103.0),
 python3-openvswitch,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-ovsdbapp,
 python3-pbr,
 python3-sqlalchemy,
 python3-tenacity,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ovn-octavia-provider-doc,
Description: OpenStack Octavia integration with OVN - Python 3.x
 OVN provides virtual networking for Open vSwitch and is a component of the
 OpenvSwitch project. This project provides integration between OpenStack
 Octavia and OVN.
 .
 This package contains the Python 3.x module.

Package: python-ovn-octavia-provider-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Octavia integration with OVN - doc
 OVN provides virtual networking for Open vSwitch and is a component of the
 OpenvSwitch project. This project provides integration between OpenStack
 Octavia and OVN.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/ovn-octavia-provider
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'ovn_octavia_provider\.tests\.unit\.(?!(.*test_helper\.TestOvnProviderHelper\.test_vip_port_update_handler_multiple_lbs.*|.*test_helper\.TestOvnProviderHelper\.test_vip_port_update_handler_lb_not_found.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_unset_admin_state_up.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_pool_up_change_to_disabled.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_pool_disabled_change_to_up.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_listeners.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_exception_not_found.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update.*|.*test_helper\.TestOvnProviderHelper\.test_hm_create_no_vip_port.*|test_helper\.TestOvnProviderHelper\.test__get_port_from_info_port_insufficient_data|test_helper\.TestOvnProviderHelper\.test__get_port_from_info_port_not_without_match_address|test_driver\.TestOvnProviderDriver\..*))'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-ovn-octavia-provider-doc/usr/share/doc/python-ovn-octavia-provider-doc/html
	dh_sphinxdoc
endif

## ovn-octavia-provider 8.0.0+git2025070714.e9707b8

=== debian/changelog ===
ovn-octavia-provider (8.0.0+git2025070714.e9707b8-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 21 Jul 2025 15:42:32 -0700

ovn-octavia-provider (8.0.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * d/p/missing-files.patch: refresh patch.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 03 Apr 2025 09:25:16 -0700

ovn-octavia-provider (7.0.0+git2025030311.300fa0c-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles <myles.penner@canonical.com>  Tue, 04 Mar 2025 09:23:26 +0000

ovn-octavia-provider (7.0.0+git2025011511.3549fa9-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 21 Jan 2025 10:36:34 +0000

## ovn-octavia-provider 9.0.0~rc1

=== debian/changelog ===
ovn-octavia-provider (9.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Tue, 30 Sep 2025 07:14:25 +0000

ovn-octavia-provider (9.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Sep 2025 09:10:37 +0200

ovn-octavia-provider (9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Remove (build-)depends versions, satisfied in Trixie.

 -- Thomas Goirand <zigo@debian.org>  Sat, 13 Sep 2025 01:03:28 +0200

ovn-octavia-provider (8.0.0-2) unstable; urgency=medium

  * Blacklist test_hm_update_status_online_two_members, failing on ppc64el.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Apr 2025 08:22:23 +0200

## ovn-octavia-provider 9.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,10 +1,6 @@
 # Requirements lower bounds listed here are our best effort to keep them up to
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
-
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
 
 keystoneauth1>=3.14.0 # Apache-2.0
 netaddr>=0.7.18 # BSD

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0  # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
ovn-octavia-provider (9.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Oct 2025 08:42:11 +0200

=== debian/control ===
--- 
+++ 
@@ -18,12 +18,12 @@
  python3-keystoneauth1,
  python3-isort,
  python3-netaddr,
- python3-neutron (>= 2:23.0.0~),
- python3-neutron-lib (>= 3.8.0),
+ python3-neutron,
+ python3-neutron-lib,
  python3-neutronclient,
  python3-octavia-lib,
  python3-openstackdocstheme,
- python3-openstacksdk (>= 0.103.0),
+ python3-openstacksdk,
  python3-openvswitch,
  python3-oslo.config,
  python3-oslo.log,
@@ -52,10 +52,10 @@
 Depends:
  python3-keystoneauth1,
  python3-netaddr,
- python3-neutron-lib (>= 3.8.0),
+ python3-neutron-lib,
  python3-neutronclient,
  python3-octavia-lib,
- python3-openstacksdk (>= 0.103.0),
+ python3-openstacksdk,
  python3-openvswitch,
  python3-oslo.config,
  python3-oslo.log,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/ovn-octavia-provider
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Fails on ppc64el:
	# test_helper.TestOvnProviderHelper.test_hm_update_status_online_two_members
	pkgos-dh_auto_test --no-py2 'ovn_octavia_provider\.tests\.unit\.(?!(.*test_helper\.TestOvnProviderHelper\.test_vip_port_update_handler_multiple_lbs.*|.*test_helper\.TestOvnProviderHelper\.test_vip_port_update_handler_lb_not_found.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_unset_admin_state_up.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_pool_up_change_to_disabled.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_pool_disabled_change_to_up.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_listeners.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update_exception_not_found.*|.*test_helper\.TestOvnProviderHelper\.test_pool_update.*|.*test_helper\.TestOvnProviderHelper\.test_hm_create_no_vip_port.*|test_helper\.TestOvnProviderHelper\.test__get_port_from_info_port_insufficient_data|test_helper\.TestOvnProviderHelper\.test__get_port_from_info_port_not_without_match_address|test_driver\.TestOvnProviderDriver\..*|test_helper\.TestOvnProviderHelper\.test_hm_update_status_online_two_members))'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-ovn-octavia-provider-doc/usr/share/doc/python-ovn-octavia-provider-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/ovn-octavia-provider/tags .*/(\d[brc\d\.]+)\.tar\.gz

## ovn-octavia-provider 9.0.0%2Bgit20260107.16.65ecd26

=== debian/changelog ===
ovn-octavia-provider (9.0.0+git20260107.16.65ecd26-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: remove for snapshot
  * d/rules: enable sphinxdoc to build documentation
  * New upstream version 9.0.0+git20260107.16.65ecd26
  * d/patches/*: refresh patches
  * New upstream snapshot from 65ecd268a6d9cb141678cec2b4ff90da19acabe9
    for OpenStack Gazpacho. (LP: #2137590)
  * d/control: Drop python-subunit dep.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 21 Jan 2026 13:45:46 -0800

ovn-octavia-provider (9.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Myles Penner <myles.penner@canonical.com>  Wed, 01 Oct 2025 08:56:40 -0700

ovn-octavia-provider (9.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/watch: Update version detection.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 22 Sep 2025 08:48:09 -0700

## ovn-octavia-provider 9.0.0+git20260107.16.65ecd26

=== debian/control ===
Source: ovn-octavia-provider
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 4.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-astroid (>= 2.1.0),
 python3-babel (>= 2.3.4),
 python3-hacking,
 python3-isort (>= 4.3.21),
 python3-keystoneauth1 (>= 3.14.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:23.0.0~b3),
 python3-neutron-lib (>= 3.8.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-octavia-lib (>= 2.2.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.103.0),
 python3-openvswitch (>= 2.10.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 12.4.0),
 python3-oslo.serialization (>= 2.28.1),
 python3-oslo.utils (>= 4.5.0),
 python3-oslotest (>= 1:3.2.0),
 python3-ovsdbapp (>= 2.1.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.4.23),
 python3-stestr (>= 1.0.0),
 python3-tenacity (>= 6.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ovn-octavia-provider
Homepage: https://opendev.org/openstack/ovn-octavia-provider
Testsuite: autopkgtest-pkg-python

Package: python3-ovn-octavia-provider
Architecture: all
Section: python
Depends:
 python3-babel (>= 2.3.4),
 python3-keystoneauth1 (>= 3.14.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 3.8.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-octavia-lib (>= 2.2.0),
 python3-openstacksdk (>= 0.103.0),
 python3-openvswitch (>= 2.10.0),
 python3-oslo.config (>= 1:8.0.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 12.4.0),
 python3-oslo.serialization (>= 2.28.1),
 python3-oslo.utils (>= 4.5.0),
 python3-ovsdbapp (>= 2.1.0),
 python3-pbr (>= 4.0.0),
 python3-sqlalchemy (>= 1.4.23),
 python3-tenacity (>= 6.0.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Octavia Integration with OVN - Python 3 library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 OVN provides virtual networking for Open vSwitch and is a component of the
 Open vSwitch project.
 .
 This package provides the Python 3 module for the integration between Octavia and OVN.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ovn_octavia_provider

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 --serial
endif

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/ovn-octavia-provider/ ovn_octavia_provider-(\d{1,2}\.\d.*)\.tar\.gz
